MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000215SoldatGameplaypublic2012-05-22 03:532015-10-23 23:43
ReporterFryer 
Assigned ToPerroAZUL 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.6.3 
Target VersionFixed in Version1.6.9 
Summary0000215: Alt+Key (taunt) runs the action assigned to Key
DescriptionUsing a taunt with a key assigned to any action will sometimes cause that action to be run. The preffered resolution is not running the action at all if the key was pushed down while holding Alt.
Steps To Reproduce1: Bind a taunt to Alt+<Key> and any action (reload, drop weapon, etc.) to <Key>.
2: When in game, hold Alt -> hold <Key> -> release Alt -> release <Key>.
3: The action assigned to <Key> will be run when Alt is released.
Additional InformationThe action assigned to <Key> will not be run if <Key> is released before Alt.
TagsNo tags attached.
Attached Files

- Relationships
duplicate of 0000457closedskoskav Weapon thrown on last letter on chat is F 
related to 0000243closedskoskav Opened weapon menu + command line key = m79 
related to 0000293closedskoskav Having prone at 'Shift-key' will invoke proning on typing '/' 
has duplicate 0000524closed A taunt with "F" results weapon throw 

-  Notes
(0001503)
Shoozza (administrator)
2012-05-22 18:43

There are situations in which you want to see the key work without having to press it again.

Example: You press ALT+D and release ALT to move right.

How should this be changed?
(0001513)
Bistoufly (updater)
2012-05-24 18:14

@Shoozza: Thanks for bringing this up as this is very important for me.

I use taunts in !runmode to start the run.
And since ever millisecond is important there, I can't afford any latency after releasing alt key.
(0001674)
TheOne (reporter)
2013-01-02 09:30

The weapon choice, so 0-9, should be excluded at least.
(0001682)
McWise (reporter)
2013-01-06 03:11

related: 0000243
(0002347)
homerofgods (updater)
2014-10-15 21:29

nosejj has played 10 years using the default movement keys:
WASD= Walking
Q= Change weapon
R= Reload
F= Throw weapon
and so on..

At the same time he has been using taunts:
(ALT+W), (ALT+A), (ALT+S), (ALT+D).
(ALT+Q) = ^Free flag
(ALT+R) = ^Help our flagger!
(ALT+F) = ^EFC UP

He is using theese keys as taunts because he doesn't want to move his hand too far away from the movement keys.
Using different keys as taunts, eg. (ALT+M) = ^EFC UP would mean he had to let go of movement keys with his left hand to do the taunt.
Using right hand to do that taunt would also be too far away from his mouse.

I want to try to help him by comming up with possible solutions, so here goes:

- Adding a delay after you've pressed ALT key, that eg. disables R = Reload 0,2 seconds after alt key was pressed.
WASD doesn't need to be delayed because there's no harm in mooving a bit, but Q, X, R, and F could have this delay.

- Allowing Numpads to be used for radio menu and taunts.
This would mean that nosej had to change his taunts, but he could use right hand to do taunts while he's mooving with left hand.

- nosej could buy a new keyboard that has macros on the left side. Theese macros could be binded to do all kinds of taunts in only one click.
(0002359)
DutchFlame (reporter)
2014-11-09 16:48

I have a logitech G19 and even then the macro keys are way too far to press especially when playing and taunting at the same time. When you're dead its something different ofcourse.
(0002493)
Shoozza (administrator)
2015-10-23 23:43

actions keys pressed together wth alt key for taunts get ignored for
Grenade,
Weapon,
Drop,
Reload,
Prone,
and
Flag throw

- Issue History
Date Modified Username Field Change
2012-05-22 03:53 Fryer New Issue
2012-05-22 03:57 Fryer Steps to Reproduce Updated View Revisions
2012-05-22 18:35 Shoozza Status new => confirmed
2012-05-22 18:43 Shoozza Note Added: 0001503
2012-05-22 18:43 Shoozza Status confirmed => feedback
2012-05-24 18:14 Bistoufly Note Added: 0001513
2013-01-02 09:30 TheOne Note Added: 0001674
2013-01-06 03:11 McWise Note Added: 0001682
2013-07-31 14:45 skoskav Relationship added related to 0000243
2013-07-31 14:45 skoskav Relationship added related to 0000293
2014-02-18 18:32 homerofgods Relationship added related to 0000524
2014-02-18 18:32 homerofgods Relationship deleted related to 0000524
2014-02-18 18:32 homerofgods Relationship added has duplicate 0000524
2014-02-18 18:36 homerofgods Relationship added duplicate of 0000457
2014-10-15 21:29 homerofgods Note Added: 0002347
2014-11-09 16:48 DutchFlame Note Added: 0002359
2015-10-23 23:43 Shoozza Note Added: 0002493
2015-10-23 23:43 Shoozza Status feedback => resolved
2015-10-23 23:43 Shoozza Fixed in Version => 1.6.9
2015-10-23 23:43 Shoozza Resolution open => fixed
2015-10-23 23:43 Shoozza Assigned To => PerroAZUL


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker